Scrape LinkedIn Profile
curl --request GET \
--url https://search.clado.ai/api/enrich/scrape \
--header 'Authorization: Bearer <token>'import requests
url = "https://search.clado.ai/api/enrich/scrape"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://search.clado.ai/api/enrich/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile": {
"id": "647479454",
"name": "Alex Johnson",
"headline": "Co-Founder @ TechCorp Inc (YC X25) | Z-Fellow | prev. State University M&T",
"summary": "Working with great people is one of the best parts of life.",
"location": "San Francisco, California, United States",
"title": "Co-founder",
"linkedin_profile_url": "https://www.linkedin.com/in/alexjohnson",
"linkedin_flagship_url": "https://www.linkedin.com/in/alexjohnson",
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGqQzDcBXRVhw/profile-displayphoto-scale_200_200/example.jpg",
"num_of_connections": 500,
"last_updated": "",
"linkedin_url": "https://www.linkedin.com/in/alexjohnson",
"twitter_handle": "",
"websites": [],
"emails": [],
"criteria": {}
},
"experience": [
{
"employee_position_id": 1,
"employee_title": "Co-founder",
"employer_name": "TechCorp Inc (YC X25)",
"employee_description": "Building people search, used to be called StartupCo techcorp.ai",
"employer_linkedin_description": "Software Development",
"employer_linkedin_id": "97975821.0",
"employer_linkedin_url": "https://www.linkedin.com/company/techcorp-inc",
"employer_logo_url": "https://awss3legacy.blob.core.windows.net/company-logo-permalinks-new/images/example.jpg",
"start_date": "2025-02",
"end_date": "",
"employee_location": "San Francisco Bay Area",
"employer_company_ids": [],
"employer_company_website_domains": [],
"location": "San Francisco Bay Area",
"is_current": true
}
],
"education": [
{
"institute_name": "State University",
"degree_name": "Bachelor of Science - BS, Computer Science",
"field_of_study": "",
"institute_linkedin_id": "",
"institute_linkedin_url": "https://www.linkedin.com/school/state-university",
"institute_logo_url": "https://awss3legacy.blob.core.windows.net/company-logo-permalinks-new/images/example.jpg",
"start_date": "",
"end_date": "",
"description": null
}
],
"skills": [
"management",
"technology",
"science",
"program management",
"computer science"
],
"languages": [],
"location": "San Francisco, California, United States",
"certifications": [],
"honors": [],
"posts": [
{
"post_url": "https://www.linkedin.com/posts/alexjohnson_we-did-it-last-week-i-graduated-with-activity-7343065850410582018-bDZE",
"title": "We did it 🎓\n\nLast week I graduated with honors from the State University Computer Science department. I'm incredibly grateful for these past two years. Along the way…",
"action": "Liked by",
"order_in_profile": 1
}
]
}Enrichment API
Scrape LinkedIn Profile
Extract detailed profile data from LinkedIn URLs
GET
/
api
/
enrich
/
scrape
Scrape LinkedIn Profile
Scrape comprehensive profile data directly from LinkedIn. This endpoint provides the most up-to-date profile information including recent posts and activity.
Scrape LinkedIn Profile
curl -X GET "https://search.clado.ai/api/enrich/scrape?linkedin_url=https://www.linkedin.com/in/alexjohnson" \
-H "Authorization: Bearer YOUR_API_KEY"
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| linkedin_url | string | Yes | LinkedIn profile URL to scrape |
Examples
Scrape Profile Data:curl -X GET "https://search.clado.ai/api/enrich/scrape?linkedin_url=https://www.linkedin.com/in/alexjohnson" \
-H "Authorization: Bearer YOUR_API_KEY"
Error Responses
| Status Code | Description |
|---|---|
| 400 | Bad Request - Missing or invalid LinkedIn URL |
| 401 | Unauthorized - API key missing or invalid |
| 402 | Payment Required - Insufficient credits |
| 429 | Too Many Requests - Rate limit exceeded |
| 500 | Internal Server Error - Scraping service error |
Rate Limits
Rate limits vary by subscription tier:- Free Tier: 5 requests per minute
- Tier 1: 15 requests per minute
- Tier 2: 150 requests per minute
- Tier 3: 300 requests per minute
Notes
- Costs 2 credits per request
- Provides the most current profile data available
- Includes recent posts and activity when available
- May take longer than database lookups due to real-time scraping
- Some profiles may be private or have restricted access
Authorizations
API key authentication. Keys start with 'lk_'.
Query Parameters
LinkedIn profile URL to scrape for detailed information (e.g., 'https://www.linkedin.com/in/username')
Response
200 - application/json
Profile scraped
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Skills list
Languages
Current location
Certifications
Honors and awards
Recent posts and activity
Show child attributes
Show child attributes
⌘I